Package com.orchestranetworks.workflow

# Class ProcessInstanceKey

java.lang.Object
com.orchestranetworks.workflow.ProcessInstanceKey

public final class ProcessInstanceKey extends Object
Identifies a process instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object x)`
  `String`
  `format()`
  Returns the persistent identifier of a process instance in the EBX® repository.
  `int`
  `getId()`
  Returns the identifier of a process instance, in the scope of its published process definition.
  `int`
  `hashCode()`
  `static ProcessInstanceKey`
  `parse(String aString)`
  Parses the specified string, so as to return a process instance key.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### parse

    public static ProcessInstanceKey parse(String aString)
    Parses the specified string, so as to return a process instance key.

    The specified string must have been generated by `format()`.

    Since:
      5.5.1
    See Also:
      - `format()`

  - ### format

    public String format()
    Returns the persistent identifier of a process instance in the EBX® repository.

    Compared to the method `getId()`, this identifier takes into account the publication key.

    Since:
      5.5.1
    See Also:
      - `parse(String)`

  - ### getId

    public int getId()
    Returns the identifier of a process instance, in the scope of its published process definition. Namely, it is unique regarding all process instances associated with a given published process definition, but not unique in the context of the EBX® repository.
    See Also:
      - `format()`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object x)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`